Bug 51274 - (Beta 2) The user manager GUI does not work correctly or as expected.
(Beta 2) The user manager GUI does not work correctly or as expected.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-users (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-08 18:02 EDT by Airong Zhang
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-09 09:52:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Airong Zhang 2001-08-08 18:02:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (Windows NT 5.0; U)

Description of problem:
The newly added user from user manager GUI can not log in the system.
A user can be lost when adding the user to a group.

How reproducible:
Always

Steps to Reproduce:
PROBLEM1:
1. Add a user in User Manager GUI, set the password for it.
2. Logout and login as the user just added.
3. The login failed.

PROBLEM2:
1. Add a user in User Manager GUI, and the new user is listed in the user list.
2. Click the group button, then highlight a group to which you wish to put the newly added user in.
3. Click the properties, a little window will show up. Click the "group users" button and the user list will be 
diisplayed with the instruction of "Selete the users to join this group".
4. Select the newly added user, then click apply and click OK.
5. Click the usrs button in the User Manager GUI, the newly added user is gone.
	

Actual Results:  PROBLEM1: The login failed.
PROBLEM2: The user id get losted in the user list.

Expected Results:  PROBLEM1: The newly added user should be able to login.
PROBLEM2: The user id should be still in the user list and it should be the member of the highlighted
                        group.


Additional info:

The same problems happen in Laptop too.
Comment 1 Bernhard Rosenkraenzer 2001-08-09 08:58:27 EDT
Which User Manager GUI? We're shipping several of them (none of them is 
related to the kdeutils package).
Comment 2 Bernhard Rosenkraenzer 2001-08-09 08:59:12 EDT
Assuming you mean redhat-config-users and reassigning.
Comment 3 Airong Zhang 2001-08-09 09:52:41 EDT
I probably made a mistake when I tried to chioce the component for it. Forget what I chose. 
The GUI is: 

 For gnome:     gnomeicon-->programs-->system-->User Manager
 For KDE:         Kdeicon --> system --> User Manager
Comment 4 Brent Fox 2001-08-09 15:02:30 EDT
Beta 2 was the first appearance of redhat-config-users in the tree.  As such, it
was not functionally complete.  The version that shipped in beta 3 handled the
basic tasks such as adding groups and users, with some editing capabilities.  I
bave finished the user and group editing screens, so everything should work now.
 There may still be bugs there, but it is functionally complete at this time.

Both the bugs you mentioned should have been fixed for Beta 3.  Please try with
the version from beta 3 (redhat-config-users-0.7.0.noarch.rpm) and see if that
doesn't fix the bugs you reported.  Please reopen this bug report if you still
see problems.

Note You need to log in before you can comment on or make changes to this bug.